Gitlab
Gitlab create
Authorization
Authorization Request Body
application/json
applicationId?string
secret?string
groupName?string
gitProviderId?string
redirectUri?string
authId*string
Length
1 <= lengthname*string
Length
1 <= lengthgitlabUrl*string
Length
1 <= lengthgitlabInternalUrl?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/gitlab.create" \ -H "Content-Type: application/json" \ -d '{ "authId": "string", "name": "string", "gitlabUrl": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Gitlab one
Authorization
Authorization Query Parameters
gitlabId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/gitlab.one?gitlabId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Gitlab gitlab Providers
Authorization
Authorization Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/gitlab.gitlabProviders"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Gitlab get Gitlab Repositories
Authorization
Authorization Query Parameters
gitlabId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/gitlab.getGitlabRepositories?gitlabId=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Gitlab get Gitlab Branches
Authorization
Authorization Query Parameters
id?number
owner*string
repo*string
gitlabId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-dokploy-instance.com/api/gitlab.getGitlabBranches?owner=string&repo=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Gitlab test Connection
Authorization
Authorization Request Body
application/json
gitlabId*string
Length
1 <= lengthgroupName?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/gitlab.testConnection" \ -H "Content-Type: application/json" \ -d '{ "gitlabId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Gitlab update
Authorization
Authorization Request Body
application/json
applicationId?string
secret?string
groupName?string
redirectUri?string
name*string
Length
1 <= lengthgitlabId*string
Length
1 <= lengthgitlabUrl*string
Length
1 <= lengthgitProviderId*string
Length
1 <= lengthgitlabInternalUrl?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-dokploy-instance.com/api/gitlab.update" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "gitlabId": "string", "gitlabUrl": "string", "gitProviderId": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}